Skip to main content
PATCH
Update a target

Path Parameters

id
string
required

The id of the resource

Body

application/json
scanSchedule
enum<string>
required
Available options:
disabled,
0 0 * * *,
0 0 */3 * *,
0 0 * * 0,
0 0 */14 * *,
0 0 1 * *

Response

200 - application/json
id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
value
string
required

The target value (domain, IP address, or CIDR notation)

Example:

"example.com"

type
enum<string>
required

The type of target (DOMAIN, CIDR, or IP)

Available options:
DOMAIN,
CIDR,
IP
Example:

"DOMAIN"

lastDiscoveredAt
string<date-time>
required
totalAssetServices
number
required
status
enum<string>
required
Available options:
pending,
in_progress,
completed,
failed,
cancelled,
skipped
scanSchedule
enum<string>
required
Available options:
disabled,
0 0 * * *,
0 0 */3 * *,
0 0 * * 0,
0 0 */14 * *,
0 0 1 * *